# Interface ViewerCallbackManagerInterface

#### Hierarchy

- ViewerCallbackManagerInterface
  - StructureViewerInterface

- Defined in RcsbFvStructure/StructureViewerInterface.ts:46

#####
Index

### Methods

modelChange
pluginCall
subscribeHover
subscribeModelChange
subscribeRepresentationChange
subscribeSelection
unsubscribe

## Methods

### modelChange

- modelChange(): void

- #### Returns void

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:51

### pluginCall

- pluginCall(f): void

- #### Parameters

  - ##### f: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:53

### subscribeHover

- subscribeHover(): Subscription

- #### Returns Subscription

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:48

### subscribeModelChange

- subscribeModelChange(): Subscription

- #### Returns Subscription

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:50

### subscribeRepresentationChange

- subscribeRepresentationChange(): Subscription

- #### Returns Subscription

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:47

### subscribeSelection

- subscribeSelection(): Subscription

- #### Returns Subscription

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:49

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in RcsbFvStructure/StructureViewerInterface.ts:52

Generated using TypeDoc